Ogre::D3D9DepthBuffer Class Reference

`#include <OgreD3D9DepthBuffer.h>`

Inheritance diagram for Ogre::D3D9DepthBuffer:
[legend]

List of all members.

## Public Types

enum | PoolId { POOL_NO_DEPTH = 0, POOL_MANUAL_USAGE = 0, POOL_DEFAULT = 1 }

## Public Member Functions

| D3D9DepthBuffer (uint16 poolId, D3D9RenderSystem *renderSystem, IDirect3DDevice9 *creator, IDirect3DSurface9 *depthBufferSurf, D3DFORMAT fmt, uint32 width, uint32 height, uint32 fsaa, uint32 multiSampleQuality, bool isManual)
| ~D3D9DepthBuffer ()
virtual bool | isCompatible (RenderTarget *renderTarget) const
IDirect3DDevice9 * | getDeviceCreator () const
IDirect3DSurface9 * | getDepthBufferSurface () const
void | _setPoolId (uint16 poolId)
virtual uint16 | getPoolId () const
virtual uint16 | getBitDepth () const
virtual uint32 | getWidth () const
virtual uint32 | getHeight () const
virtual uint32 | getFsaa () const
virtual const String & | getFsaaHint () const
bool | isManual () const
virtual void | _notifyRenderTargetAttached (RenderTarget *renderTarget)
| Called when a RenderTarget is attaches this DepthBuffer.
virtual void | _notifyRenderTargetDetached (RenderTarget *renderTarget)
| Called when a RenderTarget is detaches from this DepthBuffer.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)

## Protected Types

typedef set< RenderTarget * >::type | RenderTargetSet

## Protected Member Functions

void | detachFromAllRenderTargets ()

## Protected Attributes

IDirect3DSurface9 * | mDepthBuffer
IDirect3DDevice9 * | mCreator
uint32 | mMultiSampleQuality
D3DFORMAT | mD3DFormat
D3D9RenderSystem * | mRenderSystem
uint16 | mPoolId
uint16 | mBitDepth
uint32 | mWidth
uint32 | mHeight
uint32 | mFsaa
String | mFsaaHint
bool | mManual
RenderTargetSet | mAttachedRenderTargets

## Detailed Description

Definition at line 36 of file OgreD3D9DepthBuffer.h.

## Constructor & Destructor Documentation

Ogre::D3D9DepthBuffer::D3D9DepthBuffer | ( | uint16 | poolId,
|  | D3D9RenderSystem * | renderSystem,
|  | IDirect3DDevice9 * | creator,
|  | IDirect3DSurface9 * | depthBufferSurf,
|  | D3DFORMAT | fmt,
|  | uint32 | width,
|  | uint32 | height,
|  | uint32 | fsaa,
|  | uint32 | multiSampleQuality,
|  | bool | isManual
| ) |  |

Ogre::D3D9DepthBuffer::~D3D9DepthBuffer | ( |  | ) |

## Member Function Documentation

IDirect3DSurface9* Ogre::D3D9DepthBuffer::getDepthBufferSurface | ( |  | ) | const

IDirect3DDevice9* Ogre::D3D9DepthBuffer::getDeviceCreator | ( |  | ) | const

virtual bool Ogre::D3D9DepthBuffer::isCompatible | ( | RenderTarget * | renderTarget | ) | const`[virtual]`

Returns whether the specified RenderTarget is compatible with this DepthBuffer That is, this DepthBuffer can be attached to that RenderTarget.

Remarks:
  Most APIs impose the following restrictions: Width & height must be equal or higher than the render target's They must be of the same bit depth. They need to have the same FSAA setting

Parameters:

  renderTarget | The render target to test against

Reimplemented from Ogre::DepthBuffer.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

IDirect3DDevice9* Ogre::D3D9DepthBuffer::mCreator `[protected]`

Definition at line 53 of file OgreD3D9DepthBuffer.h.

D3DFORMAT Ogre::D3D9DepthBuffer::mD3DFormat `[protected]`

Definition at line 55 of file OgreD3D9DepthBuffer.h.

IDirect3DSurface9* Ogre::D3D9DepthBuffer::mDepthBuffer `[protected]`

Definition at line 52 of file OgreD3D9DepthBuffer.h.

uint32 Ogre::D3D9DepthBuffer::mMultiSampleQuality `[protected]`

Definition at line 54 of file OgreD3D9DepthBuffer.h.

D3D9RenderSystem* Ogre::D3D9DepthBuffer::mRenderSystem `[protected]`

Definition at line 56 of file OgreD3D9DepthBuffer.h.

The documentation for this class was generated from the following file:

- OgreD3D9DepthBuffer.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:47